<div class="grid p-4 w-full">
  <div class="col-2">
    <button
      pButton
      pRipple
      type="button"
      icon="pi pi-arrow-left"
      label="Voltar"
      class="w-full p-button-info text-3xl"
      [routerLink]="['/galpoes']"
      routerLinkActive="router-link-active"
    ></button>
  </div>

  <div class="col-8"></div>

  <div class="col-2">
    <button
      pButton
      pRipple
      type="button"
      icon="pi pi-plus"
      label="Novo"
      class="w-full p-button-success text-3xl"
      (click)="open()"
    ></button>
  </div>

  <p-table
    #table
    class="col-12"
    styleClass="p-datatable-sm"
    [value]="baias"
    [loading]="model.buscandoWS"
    [paginator]="true"
    [rows]="20"
    [rowHover]="true"
    [dataKey]="filters[0]"
    [globalFilterFields]="filters"
    currentPageReportTemplate="Mostrando de {first} a {last} de {totalRecords} baias"
    [showCurrentPageReport]="true"
  >
    <ng-template pTemplate="caption">
      <div class="p-d-flex">
        <span class="text-4xl mr-2">Baias:</span>
        <span class="p-input-icon-left p-ml-auto">
          <i class="pi pi-search"></i>
          <input
            type="text"
            class="col-12 text-2xl"
            pInputText
            (input)="inputFilter(table, $event)"
            placeholder="Buscar"
          />
        </span>
      </div>
    </ng-template>
    <ng-template pTemplate="header">
      <tr>
        <th
          *ngFor="let c of columns"
          [pSortableColumn]="c.key"
          [class]="c.class + ' text-3xl'"
        >
          {{ c.label }} <p-sortIcon [field]="c.key"></p-sortIcon>
        </th>
        <th class="col-1"></th>
      </tr>
    </ng-template>
    <ng-template pTemplate="body" let-obj>
      <tr [pSelectableRow]="obj">
        <td *ngFor="let c of columns" class="text-3xl">{{ obj[c.key] }}</td>
        <td>
          <span class="p-buttonset">
            <button
              pButton
              pRipple
              icon="pi pi-pencil"
              class="p-button-sm"
              (click)="open(obj)"
            ></button>
            <button
              pButton
              pRipple
              icon="pi pi-trash"
              class="p-button-sm p-button-danger"
            ></button>
            <button
              pButton
              pRipple
              icon="pi pi-search"
              class="p-button-sm p-button-info"
              [routerLink]="[searchBaia(obj)]"
              routerLinkActive="router-link-active"
            ></button>
          </span>
        </td>
      </tr>
    </ng-template>
    <ng-template pTemplate="emptymessage">
      <tr>
        <td
          [colSpan]="columns.length"
          class="text-3xl"
          style="text-align: center"
        >
          Dados não encontrados
        </td>
      </tr>
    </ng-template>
  </p-table>
</div>

<app-modal-cadastro
  title="Nova baia"
  [toggle_visible]="tmodal"
  (interact)="interact($event)"
>
  <div class="grid">
    <app-div-input class="col-6" label="Nome">
      <input
        type="text"
        class="col-12 text-2xl"
        pInputText
        [(ngModel)]="nomeBaia"
      />
    </app-div-input>

    <app-div-input class="col-6" label="Quantidade de suinos">
      <input
        type="number"
        class="col-12 text-2xl"
        pInputText
        [(ngModel)]="qtdSuinos"
      />
    </app-div-input>

    <app-div-input class="col-6" label="Data de alojamento">
      <input
        type="date"
        class="col-12 text-2xl"
        pInputText
        [(ngModel)]="dataAlojamento"
      />
    </app-div-input>

    <div class="col-2"></div>

    <div class="col-2">
      <div class="grid">
        <span class="col-12 text-2xl" style="color: white"> . </span>
        <div class="col-12 py-0">
          <button
            pButton
            pRipple
            type="button"
            icon="pi pi-database"
            label="Salvar"
            class="w-full p-button-success text-2xl"
            (click)="interact('save')"
          ></button>
        </div>
      </div>
    </div>

    <div class="col-2">
      <div class="grid">
        <span class="col-12 text-2xl" style="color: white"> . </span>
        <div class="col-12 py-0">
          <button
            pButton
            pRipple
            type="button"
            icon="pi pi-times"
            label="Cancelar"
            class="w-full p-button-secondary text-2xl"
            (click)="interact('close')"
          ></button>
        </div>
      </div>
    </div>
  </div>
</app-modal-cadastro>
